#include <hidef.h>      /* common defines and macros */
#include <mc68hc812a4.h>     /* derivative information */
#pragma LINK_INFO DERIVATIVE "mc68hc812a4"

#include "main_asm.h" /* interface to the assembly module */


void main(void) {
  /* put your own code here */
  
  /* configure CMD12A4 Expanded wide bus and map... */
  /* HC812A4 MCU setup for Hardware Banks */

  MODE    =   0xF8; // MOde = expanded wide, IVIS off
  PEAR    =   0x0C; // PEAR = LSTRB and RW on..
  MISC    =   0x40; // CS0-2 = 8 bit selects
  CSCTL0  =   0x34; // CSP0, CSD, and CS2 on only
  CSCTL1  =   0x10; // CSD = lower half of map
  CSSTR0  =   0x15; // Set wait states  

/* add MXAR update and review WINDEF register setting if expanded addressing and paging wanted */
  
  EnableInterrupts;
  asm_main(); /* call the assembly function */

  for(;;) {} /* wait forever */
  /* please make sure that you never leave this function */


}
